.story-container {
    display: flex;
    background: var(--surface-primary);
    justify-content: center;
}

.story-content {
    display: flex;
    padding: 64px;
    align-items: center;
    gap: 64px;
    align-self: stretch;
    width: 100%;
    max-width: 1280px;
}

.story-descript {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 32px;
    flex: 1 0 0;
}

.story-title-tag {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}

.tag-fill {
    display: flex;
    padding: 8px 16px;
    justify-content: center;
    align-items: center;
    gap: 8px;

    border-radius: 99px;
    background: var(--surface-secondary);

    white-space: nowrap;
}

.story-img {
    height: 250px;
    flex: 1 0 0;
    border-radius: 16px;

    /* 500 */
    box-shadow: 0 6px 14px -6px rgba(51, 51, 51, 0.12), 0 10px 32px -4px rgba(51, 51, 51, 0.10);
    overflow: hidden;
}

.story-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.brand-container {
    display: flex;
    background: var(--surface-secondary);
    justify-content: center;
    overflow: hidden;
}

.brand-carrousel {
    display: flex;
    flex-direction: row;
    width: max-content;
    /* Critical: allows the track to be as wide as needed */

    padding: 32px 64px;
    justify-content: flex-start;
    align-items: center;

    animation: scroll-left 100s linear infinite;
}

.box-wrapper {
    display: flex;
    flex-direction: row;
}

.brand-carrousel:hover {
    animation-play-state: paused;
}

@keyframes scroll-left {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
        /* Move half the total width */
    }
}

.brand-img-box {
    display: flex;
    min-width: 200px;
    height: 100px;
    padding: 16px;
    justify-content: center;
    align-items: center;
}

.xiaomi {
    display: flex;
    padding: 8px;
    align-items: center;

    border-radius: 12px;
    background: #FF6900;
}

.repair-container {
    display: flex;
    background: var(--surface-primary);
    justify-content: center;
}

.repair-content {
    display: flex;
    padding: 64px;
    flex-direction: column;
    align-items: flex-start;
    gap: 32px;

    align-self: stretch;
    max-width: 1280px;

    width: 100%;
}

.title-descript {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    align-self: stretch;

    text-align: center;
}

.typeof-content {
    display: flex;
    align-items: center;
    gap: 32px;
    align-self: stretch;
}

.repairs-group {
    display: grid;
    gap: 16px;
    /* Takes up the first 3 master columns */
    grid-template-columns: repeat(3, 1fr);
}

.repair-box {
    display: flex;
    aspect-ratio: 16 / 9;
    padding: 16px;
    justify-content: center;
    align-items: center;

    border-radius: 16px;
    background: var(--surface-secondary);
}

.advantage-list {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    flex: 1 0 0;
}

.advantage-card {
    display: flex;
    height: 96px;
    min-width: 270px;
    padding: 0 24px;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 16px;
    align-self: stretch;

    border-radius: 16px;
    background: var(--surface-secondary);
}

/* ESTA SECÇÂO COMEÇA COM A RESPONSIVIDADE MAIS CEDO */

.statistic-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background: var(--surface-secondary);
    max-width: 1280px;
    width: 100%;
    padding: 32px 64px;
}

.statistic-content p {
    text-align: center;
}

.statistic-box {
    display: flex;
    width: 200px;
    flex-direction: column;
    align-items: center;
    gap: 8px;

    border-radius: 16px;
}

.statistic-icon-box {
    display: flex;
    padding: 8px;
    align-items: center;
    gap: 8px;

    border-radius: 8px;
}

.stat-icon-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;

    text-align: center;

    border-radius: 8px;
}

.b-orange h3 {
    color: var(--surface-brand-primary-heavy);
}

.b-blue h3 {
    color: var(--surface-brand-secondary-heavy);
}

.b-yellow h3 {
    color: var(--color-amber-80);
}

.i-orange {
    background: var(--color-orange-10);
}

.i-blue {
    background: var(--color-blue-10);
}

.i-yellow {
    background: var(--color-amber-10);
}

.products-container {
    display: flex;
    background: var(--surface-primary);
    justify-content: center;
}

.products-content {
    display: flex;
    padding: 64px 64px 32px 64px;
    align-items: center;
    gap: 32px;
    width: 100%;
    max-width: 1280px;
}

.card-product {
    display: flex;
    padding: 24px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 24px;
    flex: 1 0 0;
    align-self: stretch;
    text-align: center;
    border-radius: 16px;
    background: var(--surface-secondary);
}

.product-group {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.certifications-link {
    text-decoration: underline;
    padding-bottom: 32px;
    text-align: center;
}

.mission-bg {
    display: flex;
    flex-direction: column;
    align-items: center;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    /* 2. Add an overlay so text is readable like in the image */
    background-blend-mode: overlay;
    background-color: rgba(0, 0, 0, 0.5);


    transition: opacity 0.3s ease-in-out;

}

.mission-container {
    display: flex;
    max-width: 1280px;
    padding: 0 64px 64px 64px;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.mission-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 32px;
    align-self: stretch;
}

.ms-descript {
    color: var(--text-invert);
}

.mission-tab-list {
    display: flex;
    align-items: flex-start;
    align-self: stretch;
    overflow: hidden;
    border-radius: 0 0 16px 16px;
}

.mission-tab-item {
    display: flex;
    padding: 8px;
    justify-content: center;
    align-items: center;
    flex: 1 0 0;
    background: var(--surface-secondary);

    cursor: pointer;
}

.ms-descript {
    text-align: center;
}

.tab-active {
    background: var(--surface-brand-primary-default);
}

.hidden-repair {
    display: none;
}

.advantage-card svg {
    min-width: 28px;
    min-height: 28px;
}

/***************************************/
/*********** RESPONSIVIDADE ************/
/***************************************/


/*********** TABLET ************/

@media (max-width: 1152px) {

    .story-content,
    .brand-carrousel,
    .repair-content,
    .statistic-content,
    .products-content {
        padding: 24px;
        gap: 24px
    }

    .mission-container {
        padding: 0 24px 48px 24px;
    }

    .mission-content {
        gap: 24px;
    }

    .typeof-content {
        flex-direction: column;
        gap: 24px;
    }

    .repairs-group {
        grid-template-columns: repeat(5, 1fr);
        width: 100%;
    }

    .advantage-list {
        gap: 16px;
        width: 100%;

    }

    .advantage-card {
        width: 100%;
    }

    .repair-box {
        aspect-ratio: auto;
    }

    .brand-img-box {
        min-width: 180px;
    }

    .statistic-content {
        flex-wrap: wrap;
        justify-content: center;
    }

    .products-content {
        flex-wrap: wrap;
    }

    .card-product {
        flex: none;
        width: 48%;
    }

    .card-product:nth-child(3) {
        width: 100%;
    }

    .certifications-link {
        padding-bottom: 24px;
    }

    .story-descript {
        gap: 24px;
    }

    .statistic-box {
        width: 160px;
    }

    .hidden-repair {
        display: flex;
    }


    .advantage-card {
        min-width: 0;
        padding: 32px 24px;
        height: fit-content;
    }

}

/*********** MOBILE ************/

@media (max-width: 768px) {

    .story-content,
    .brand-carrousel,
    .repair-content,
    .statistic-content,
    .products-content {
        padding: 16px;
        gap: 16px
    }

    .mission-container {
        padding: 0 16px 32px 16px;
    }

    .story-content {
        flex-direction: column;
    }

    .story-title-tag {
        align-items: center;
    }

    .story-descript {
        gap: 16px;
        text-align: center;
    }

    .story-img {
        flex: none;
        width: 100%;
    }

    .repairs-group {
        grid-template-columns: repeat(3, 1fr);
        gap: 8px;
    }

    .hidden-repair {
        display: none;
    }

    .advantage-list {
        gap: 8px;
    }

    .products-content {
        flex-wrap: nowrap;
        flex-direction: column;
    }

    .card-product {
        width: 100%;
    }

    .advantage-card {
        padding: 24px 16px;
    }

}

@media (max-width: 393px) {
    .repairs-group {
        grid-template-columns: repeat(2, 1fr);
        gap: 8px;
    }

    .hidden-repair {
        display: flex;
    }
}